Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.support
[Java] Class TransactionManagerPostProcessor

    java.lang.Object
      org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter
          org.codehaus.groovy.grails.orm.support.TransactionManagerPostProcessor

All Implemented Interfaces:
  org.springframework.beans.factory.BeanFactoryAware, org.springframework.core.PriorityOrdered

    public class TransactionManagerPostProcessor
    extends org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter

Injects the platform transaction manager into beans that implement TransactionManagerAware.

Authors:
  Graeme Rocher

Since:
  0.4

Method Summary
`int` | `getOrder()`
`boolean` | `postProcessAfterInstantiation(java.lang.Object bean, java.lang.String name)` Injects the platform transaction manager into the given bean if that bean implements the TransactionManagerAware interface.
`void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)` Gets the platform transaction manager from the bean factory if there is one.

Methods inherited from class org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter
org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#predictBeanType(java.lang.Class, java.lang.String), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#getEarlyBeanReference(java.lang.Object, java.lang.String), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#postProcessBeforeInitialization(java.lang.Object, java.lang.String), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#postProcessAfterInitialization(java.lang.Object, java.lang.String), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#postProcessBeforeInstantiation(java.lang.Class, java.lang.String), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#determineCandidateConstructors(java.lang.Class, java.lang.String), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#postProcessAfterInstantiation(java.lang.Object, java.lang.String), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#postProcessPropertyValues(org.springframework.beans.PropertyValues, [Ljava.beans.PropertyDescriptor;, java.lang.Object, java.lang.String), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#wait(long, int), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#wait(long), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#wait(), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#equals(java.lang.Object), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#toString(), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#hashCode(), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#getClass(), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#notify(), org.springframework.beans.factory.config.InstantiationAwareBeanPostProcessorAdapter#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getOrder

    public int getOrder()

### postProcessAfterInstantiation

    @java.lang.Override
    public boolean postProcessAfterInstantiation(java.lang.Object bean, java.lang.String name)

  Injects the platform transaction manager into the given bean if that bean implements the TransactionManagerAware interface.
  throws:
    BeansException
  Parameters:
    `bean` - The bean to process.
    `name` - The name of the bean.
  Returns:
    The bean after the transaction manager has been injected.

### setBeanFactory

    public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)

  Gets the platform transaction manager from the bean factory if there is one.
  throws:
    BeansException
  Parameters:
    `beanFactory` - The bean factory handling this post processor.

Groovy Documentation